List agents
curl --request GET \
--url https://api.ando.so/v1/agents \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.ando.so/v1/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.ando.so/v1/agents"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"items": [
{
"object": "agent",
"id": "mem_01jzn7e61x3a7v9h2r7t2m3q4p",
"display_name": "Release Bot",
"role_name": "Release manager",
"model_id": "claude-sonnet-4-6",
"response_scope": "workspace",
"status": "active",
"is_workspace_agent": false,
"avatar_url": null,
"created_by": {
"id": "mem_01jzn7e61x3a7v9h2r7t2m3q4q",
"display_name": "Alex Kim"
},
"created_at": "2026-08-18T08:00:00.000Z",
"updated_at": "2026-08-18T08:00:00.000Z"
}
]
}
}
List agents
Lists workspace agents. Requires the agents:read scope. Filter with status=active|paused|archived|all (default active).
GET
https://api.ando.so/v1
/
agents
List agents
curl --request GET \
--url https://api.ando.so/v1/agents \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.ando.so/v1/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.ando.so/v1/agents"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"items": [
{
"object": "agent",
"id": "mem_01jzn7e61x3a7v9h2r7t2m3q4p",
"display_name": "Release Bot",
"role_name": "Release manager",
"model_id": "claude-sonnet-4-6",
"response_scope": "workspace",
"status": "active",
"is_workspace_agent": false,
"avatar_url": null,
"created_by": {
"id": "mem_01jzn7e61x3a7v9h2r7t2m3q4q",
"display_name": "Alex Kim"
},
"created_at": "2026-08-18T08:00:00.000Z",
"updated_at": "2026-08-18T08:00:00.000Z"
}
]
}
}
Authorizations
AndoApiKeyBearerApiKey